Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 15 Oct 2022 16:15:41 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Re: [#4969700] - Delivery

Concerning order number #1688424302

This is so very unacceptable! I have been waiting for almost 3 weeks to tell me that the order is cancelled in the end! I lost transaction fees already for I have pre-paid with a non-Omani card. I have been waiting for the order I issued from the 30th of September. I lost the sale discount, in addition to the effort and the time I wasted for picking the 7 items. I got nothing but 1 item in the end, and all you offer me is your kind apologies!!!

 I don’t accept the cancellation of the order by all means. Either you find a way to send it OR you send back a total refund of The Whole Order, including the one item that reached me. This is the least thing you can offer after keeping me waiting for almost 3 weeks+ wasting my time and effort+ forcing me to miss the sale+ causing me to be charged with transaction fees, even when you refund me.

I am waiting for a confirmation to this email! I am totally down and frustrated from Max services!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5006128